Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class CannotConnectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.remoting.CannotConnectException

All Implemented Interfaces:
  java.io.Serializable

    public class CannotConnectException

extends java.lang.RuntimeException

This exception is generated when the remoting layer cannot connect to the remote server It means that the client cannot send the request to the server.

Clustering layers can rely this exception to failover.

Version:
  $Revision: 1216 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`CannotConnectException()`
`CannotConnectException(java.lang.String message)`
`CannotConnectException(java.lang.String message, java.lang.Throwable cause)`
`CannotConnectException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotConnectException

    public CannotConnectException()

### CannotConnectException

    public CannotConnectException(java.lang.String message)

### CannotConnectException

    public CannotConnectException(java.lang.String message,
                                  java.lang.Throwable cause)

### CannotConnectException

    public CannotConnectException(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.